Subject: Re: [Bitcoin-development] Block Size Increase

From: Jorge Timón <[email-masked]>
Date: Thu, 7 May 2015 14:26:10 +0200

On Thu, May 7, 2015 at 1:29 PM, Mike Hearn <[email-masked]> wrote:
> I was referring to winter next year. 0.12 isn't scheduled until the end of
> the year, according to Wladimir. I explained where this figure comes from in
> this article:
>
> https://medium.com/@octskyward/bitcoin-s-seasonal-affective-disorder-35733bab760d
>
> It's a fairly simple estimate based on previous growth patterns.

Ok, thanks.

>> We've successfully reached consensus for several softfork proposals
>> already.
>
>
> Are you sure about that?

Yes, Peter Todd gave more details.

> What if Gavin popped up right now and said he disagreed with every current
> proposal, he disagreed with side chains too, and there would be no consensus
> on any of them until the block size limit was raised.
>
> Would you say, oh, OK, guess that's it then. There's no consensus so might
> as well scrap all those proposals, as they'll never happen anyway. Bye bye
> side chains whitepaper.

Well, yes, it is true that "universally uncontroversial" (which is
what I think the requirement should be for hard forks) is a vague
qualifier that's not formally defined anywhere.
I guess we should only consider rational arguments. You cannot just
nack something without further explanation.
If his explanation was "I will change my mind after we increase block
size", I guess the community should say "then we will just ignore your
nack because it makes no sense".
In the same way, when people use fallacies (purposely or not) we must
expose that and say "this fallacy doesn't count as an argument".
But yeah, it would probably be good to define better what constitutes
a "sensible objection" or something. That doesn't seem simple though.

>> I just hope that by  "What we need to see right now is leadership" you
>> don't mean something like "when Gaving and Mike agree it's enough to
>> deploy a hardfork" when you go from vague to concrete.
>
>
> No. What I meant is that someone (theoretically Wladimir) needs to make a
> clear decision. If that decision is "Bitcoin Core will wait and watch the
> fireworks when blocks get full", that would be showing leadership .....
> albeit I believe in the wrong direction. It would, however, let people know
> what's what and let them start to make longer term plans.
>
> This dillydallying around is an issue - people just make vague points that
> can't really be disagreed with (more nodes would be nice, smaller pools
> would also be nice etc), and nothing gets done.

Well, there's two different things here.
One thing is the Bitcoin core project where you could argue that the 5
committers decide (I don't know why Wladimir would have any more
authority than the others).
But what the bitcoin network itself does it's very different because
unlike the bitcoin core software project, the Bitcoin network is
decentralized.
If the people with commit access go nuts and decide something that's
clearly stupid or evil, people can just fork the project because it is
free software.
You cannot be forced to use specific features of free software, you
can always remove them and recompile, that's the whole point.
So, no, there's no authority to decide on hardforks and that's why I
think that only clearly uncontroversial things can get through as
hardforks.

>> What you want to avoid at all cost (the block size actually being
>> used), I see as the best opportunity we have to look into the future.
>
>
> I think I see one of the causes of disagreement now.
>
> I will write more on the topic of what will happen if we hit the block size
> limit soon, maybe this evening. I have some other tasks to do first.
>
> Regardless, I don't believe we will get any useful data out of such an
> event. I've seen distributed systems run out of capacity before. What will
> happen instead is technological failure followed by rapid user abandonment
> that pushes traffic back below the pressure threshold .... and those users
> will most likely not come back any time soon.

Ok, so in simple terms, you expect people to have to pay enormous fees
and/or wait thousands of blocks for their transactions to get included
in the chain.
Is that correct?

>> Ok, this is my plan: we wait 12 months, hope that your estimations are
>> correct (in case that my guess was better than yours, we keep waiting
>> until June 2017) and start having full blocks and people having to
>> wait 2 blocks for their transactions to be confirmed some times.
>
>
> I disagree that'd be the outcome, but good, this is progress. Now we need to
> hear something like that from Wladimir, or whoever has the final say around
> here.

As said above there's no authority to decide on what Bitcoin the p2p
network does. Again, that's the whole point.
But, yes, I agree that both sides understanding each other better is progress.

> With respect to the fee market: I think it's fairer to say Gavin wants a
> market to exist, and he also wants supply to be plentiful. 20mb limit
> doesn't actually mean every block will be 20mb the day after, no more than
> they're all 1mb today. Miners may discover that if they go beyond 5mb they
> have too many orphans and then propagation speed will have to be optimised
> to break through the next bottleneck. Scaling is always about finding the
> next bottleneck and removing it, ideally, before you hit it.

I'm sure he wants a fee market to eventually exist as well.
But it seems that some people would like to see that happening before
the subsidies are low (not necessarily null), while other people are
fine waiting for that but don't want to ever be close to the scale
limits anytime soon.
I would also like to know for how long we need to prioritize short
term adoption in this way. As others have said, if the answer is
"forever, adoption is always the most important thing" then we will
end up with an improved version of Visa.
But yeah, this is progress, I'll wait for your more detailed
description of the tragedies that will follow hitting the block
limits, assuming for now that it will happen in 12 months.
My previous answer to the nervous "we will hit the block limits in 12
months if we don't do anything" was "not sure about 12 months, but
whatever, great, I'm waiting for that to observe how fees get
affected".
But it should have been a question "what's wrong with hitting the
block limits in 12 months?"